Ubuntu

Symlink /etc/resolv.conf does not exist after installation or upgrade of resolvconf -- various causes

Reported by Cerin on 2012-05-16
148
This bug affects 29 people
Affects Status Importance Assigned to Milestone
resolvconf (Ubuntu)
Undecided
Unassigned

Bug Description

I upgraded an 11.10 install to 12.04, and now I'm unable to resolve domain names because Network Manager does not populate my /etc/resolv.conf file.

For example, my local wireless router uses the domain "mylocaldomain" and nameservers 10.157.10.12 and 10.157.10.14, so in 11.10, after connecting to the router I would see this in my /etc/resolv.conf:

domain mylocaldomain
search mylocaldomain
nameserver 10.157.10.12
nameserver 10.157.10.14

Now /etc/resolv.conf contains the settings last set before I upgraded to 12.04, and doesn't update them for whatever network I'm currently on. I have to manually guess the settings and modify /etc/resolv.conf in order to resolve domain names.

I believe this may be related to https://bugs.launchpad.net/ubuntu/+source/resolvconf/+bug/922677 and how the "resolvconf" program has been introduce to manage this. I believe this is a new bug with how prior installs are improperly upgraded.

I tried removing the line "dns=dnsmasq" from /etc/NetworkManager/NetworkManager.conf and then running `sudo restart network-manager`, but that had no effect.

I tried running `resolvconf --enable-updates` but I get the error "resolvconf: Error: /etc/resolv.conf isn't a symlink, not doing anything."

Based on https://help.ubuntu.com/12.04/serverguide/network-configuration.html#name-resolution, I tried establishing this symlink myself, but the file /run/resolvconf/resolv.conf does not exist on my system.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: network-manager 0.9.4.0-0ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: nvidia wl
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Date: Wed May 16 09:57:25 2012
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64+mac (20111012)
IpRoute:
 default via 192.168.1.1 dev eth2 proto static
 169.254.0.0/16 dev eth2 scope link metric 1000
 192.168.1.0/24 dev eth2 proto kernel scope link src 192.168.1.205 metric 2
 192.168.122.0/24 dev virbr0 proto kernel scope link src 192.168.122.1
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
SourcePackage: network-manager
UpgradeStatus: Upgraded to precise on 2012-05-10 (5 days ago)
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth2 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/1
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled enabled

Cerin (chrisspen) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
pdf (pdffs) wrote :

Short-term fix is to `dpkg-reconfigure resolvconf` and enable the option to 'Prepare /etc/resolv.conf for dynamic updates' or whatever it says. Then, `resolvconf --enable-updates` (the latter may not be needed).

Also, your search domain won't work if you're using the dnsmasq method in networkmanager (and if you've got fallback resolvers in addition to one that provides your internal domain, you'll also get random name resolution failures for the internal domain because dnsmasq picks random resolvers).

Another fine balls-up - seriously, name resolution is a core requirement, how does this poorly tested new stuff keep ending up in LTS releases? Seriously.

Cerin (chrisspen) wrote :

Thanks pdf. As you mention, it still doesn't find the correct name servers, but now at least it sets the correct "domain" and "search" values.

Thomas Hood (jdthood) wrote :

Please post the output of:

ls -l /etc/resolv.conf
ls -l /run/resolvconf
ls -l /run/resolvconf/interface
for F in /run/resolvconf/interface/* ; do echo "=== $F ===" ; cat "$F" ; done
for F in /etc/resolvconf/resolv.conf.d/* ; do echo "=== $F ===" ; cat "$F" ; done

pdf (pdffs) wrote :

Unfortunately I've now 'fixed' mine by disabling dnsmasq and reconfiguring resolvconf, but this behaviour was exhibited on a clean install for me.

Thomas Hood (jdthood) wrote :

Cerin: And in addition to the commands in #5, please post the output of

     cat /etc/resolv.conf

Thomas Hood (jdthood) wrote :

pdf: Do you mean that on a clean install name resolution didn't work because dnsmasq didn't work? Or that on a clean install name resolution didn't work because /etc/resolv.conf was not populated?

Thomas Hood (jdthood) wrote :

Cerin: Do you have any idea why, when you had the problem you originally reported, /etc/resolv.conf was not a symlink to "../run/resolvconf/resolv.conf"? Did you remove the symlink, or answer "no" to the relevant debconf question? Or...?

pdf (pdffs) wrote :

@jdthood:
- /etc/resolv.conf did not exist in any form on a clean install, prior to dpkg-reconfiguring resolvconf
- DNS resolution worked with the following caveats:
  - search domains offered via DHCP were not honored
  - random order nameserver querying and caching by dnsmasq results in persistently broken queries if not all nameservers have all records

To explain the latter - we use a couple of internal nameservers which return internal domains, and a fallback external nameserver, which obviously doesn't carry the internal domains. Because dnsmasq queries random servers, if the external is hit first, all subsequent queries for that hostname will fail due to caching. Obviously we can work around this by disabling the external resolver (though there are other scenarios where server preference matters), and the lack of search domains renders all our intranet documentation broken.

Thomas Hood (jdthood) wrote :

At least two distinct issues have been discussed here.

The original problem was that /etc/resolv.conf was not populated and the reason for this seems to have been that the symlink /etc/resolv.conf --> ../run/resolvconf/resolv.conf didn't get created. It would be nice to find out why that happened. Let's continue addressing that issue here (#1000244).

A second problem brought up by pdffs is that the upgrade to Precise breaks systems that had multiple nameserver addresses listed in resolv.conf, only the first of which can resolve private domain names. I have opened a new report, #1003842, to track this issue. pdffs: Please subscribe to #1003842 so we can continue the discussion there.

Cerin (chrisspen) wrote :

@Thomas Hood

user@localhost$ ls -l /etc/resolv.conf
lrwxrwxrwx 1 root root 29 May 22 10:33 /etc/resolv.conf -> ../run/resolvconf/resolv.conf
user@localhost$ ls -l /run/resolvconf
total 4
-rw-r--r-- 1 root root 0 May 22 10:33 enable-updates
drwxr-xr-x 2 root root 80 May 24 09:59 interface
-rw-r--r-- 1 root root 97 May 24 09:59 resolv.conf
user@localhost$ ls -l /run/resolvconf/interface
total 8
-rw-r--r-- 1 root root 67 May 24 09:59 NetworkManager
-rwxrwxrwx 1 root root 202 May 21 10:41 original.resolvconf

user@localhost$ for F in /run/resolvconf/interface/* ; do echo "=== $F ===" ; cat "$F" ; done
=== /run/resolvconf/interface/NetworkManager ===
domain mydomain
search mydomain
nameserver 127.0.0.1
=== /run/resolvconf/interface/original.resolvconf ===

# Generated by NetworkManager
domain mydomain
search mydomain
nameserver 10.157.10.12

user@localhost$ for F in /etc/resolvconf/resolv.conf.d/* ; do echo "=== $F ===" ; cat "$F" ; done
=== /etc/resolvconf/resolv.conf.d/base ===
=== /etc/resolvconf/resolv.conf.d/head ===
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
=== /etc/resolvconf/resolv.conf.d/original ===
# Generated by NetworkManager
domain mydomain
search mydomain
nameserver 10.157.10.12
nameserver 10.157.10.14

user@localhost$ cat /etc/resolv.conf
# Generated by NetworkManager
domain mydomain
search mydomain
nameserver 127.0.0.1

Cerin (chrisspen) wrote :

@Thomas Hood

To answer your other question, I imagine the problem was that I upgraded from 11.10 to 12.04 and my /etc/resolv.conf was not converted into a symlink.

When I ran the upgrade, I do not remember being asked whether or not I wanted to make this conversion. Either I was not asked, or I was and chose not to.

Running `dpkg-reconfigure resolvconf` manually as mentioned by pdf has partial fixed my setup.

Thomas Hood (jdthood) on 2012-05-28
Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
pdf (pdffs) wrote :

@jdthood - what's required for this?

Thomas Hood (jdthood) on 2012-05-29
affects: network-manager (Ubuntu) → resolvconf (Ubuntu)
summary: - Network Manager does not populate resolv.conf
+ Network Manager does not populate resolv.conf because /etc/resolv.conf
+ symlink was not created

Reassigned to resolvconf. We have two people (Cerin and pdf) reporting that the symlink /etc/resolv.conf -> ../run/resolvconf/resolv.conf was not created on installation of the Precise version of resolvconf. Above in #13 Cerin says that he *may* have declined to allow the symlink to be created. On the other hand, pdf says in #1003842 comment 23 that he is certain that the misconfiguration was not caused by any error on his part. We will need to investigate further to find out why the symlink didn't get created.

Thomas Hood (jdthood) on 2012-05-29
Changed in resolvconf (Ubuntu):
status: Incomplete → Confirmed
pdf (pdffs) wrote :

I'll ask my colleagues to comment on cause for their lack of search domains, which seems likely to be related, but I'm going to be interstate for the next week, so an update may not be available until then.

Thomas Hood (jdthood) wrote :

Cerin: You say that your setup is "partially" fixed. What part is not fixed?

The output you provided in #12 suggests that you have not rebooted since resolvconf was updated to the Precise version. Please reboot and repeat the same sequence of commands (as in #5) plus the following.

    lsattr /etc/resolv.conf
    cat /etc/NetworkManager/NetworkManager.conf
    cat /run/nm-dns-dnsmasq.conf
    df

Thomas Hood (jdthood) wrote :

We appear to have another case of this, reported in #922677. For convenience I copy the contributor's posts here.

--------------------- Louis Li in #922677 #14 --------------------------

I'm seeing this issue from a clean Ubuntu precise amd64 AMI (http://cloud.ubuntu.com/ami/).

With nothing but vpnc installed, I did some of the following:

ubuntu@ip-10-116-125-233:~$ sudo vpnc myvpnc.conf
sudo vpnc myvpn.conf
resolvconf: Error: /etc/resolv.conf isn't a symlink, not doing anything.
VPNC started in background (pid: 12101)...

(but it's not actually connected)

Upgrading resolvconf package:
Unpacking replacement resolvconf ...
Processing triggers for ureadahead ...
Processing triggers for man-db ...
Setting up resolvconf (1.63ubuntu14) ...
Processing triggers for resolvconf ...
resolvconf: Error: /etc/resolv.conf isn't a symlink, not doing anything.

--------------------- Louis Li in #922677 #15 --------------------------

Here's some information:
ubuntu@ip-10-116-125-233:~$ ls -l /etc/resolv.conf
-r--r--r-- 1 root root 63 May 29 13:42 /etc/resolv.conf
ubuntu@ip-10-116-125-233:~$ lsattr /etc/resolv.conf
-------------e- /etc/resolv.conf
ubuntu@ip-10-116-125-233:~$ ls -l /run/resolvconf
total 0
drwxr-xr-x 2 root root 40 May 29 13:42 interface
-rw-r--r-- 1 root root 0 May 29 13:42 postponed-update
ubuntu@ip-10-116-125-233:~$ ls -l /run/resolvconf/interface/
total 0
ubuntu@ip-10-116-125-233:~$ for F in /run/resolvconf/interface/*; do echo === $F ===; cat $F; done
=== /run/resolvconf/interface/* ===
cat: /run/resolvconf/interface/*: No such file or directory

Thomas Hood (jdthood) wrote :

I suppose there is also a possibility that this bug is related to #995260.

Steve Langasek (vorlon) wrote :

Please show the output of:

  debconf-show resolvconf

from the affected system.

Changed in resolvconf (Ubuntu):
status: Confirmed → Incomplete
Louis Li (louisli) wrote :

One thing of note is that I do *not* have Network Manager installed. This is replicable from using the official Ubuntu Precise 12.04 amd64 Amazon Elastic Compute Cloud image, ebs-backed.

ubuntu@ip-10-99-11-22:~$ debconf-show resolvconf
debconf: DbDriver "passwords" warning: could not open /var/cache/debconf/passwords.dat: Permission denied
  resolvconf/downup-interfaces:
  resolvconf/linkify-resolvconf: false
  resolvconf/link-tail-to-original: true
  resolvconf/reboot-recommended-after-removal:
ubuntu@ip-10-99-11-22:~$ sudo !!
sudo debconf-show resolvconf
  resolvconf/downup-interfaces:
  resolvconf/linkify-resolvconf: false
  resolvconf/link-tail-to-original: true
  resolvconf/reboot-recommended-after-removal:

On Tue, May 29, 2012 at 11:28:34PM -0000, Louis Li wrote:
> One thing of note is that I do *not* have Network Manager installed.
> This is replicable from using the official Ubuntu Precise 12.04 amd64
> Amazon Elastic Compute Cloud image, ebs-backed.

If this is the only place you're seeing it, then this is probably bug
#1003595
, which has been fixed in yesterday's daily image for EC2.

Thomas Hood (jdthood) on 2012-05-30
summary: - Network Manager does not populate resolv.conf because /etc/resolv.conf
- symlink was not created
+ resolv.conf not populated because /etc/resolv.conf symlink was not
+ created

Yes, Louis Li's bug could easily be #10003595 (cloud images not including the resolv.conf symlink).

Cerin upgraded from 11.10 and pdf installed 12.04, so we still need to work on their cases.

Cerin (chrisspen) wrote :

Thomas,

>You say that your setup is "partially" fixed. What part is not fixed?

When I initially applied pdf's fix, I was able to resolve external domains, but not internal domains. However, this seems to have resolved itself, so now it seems my setup is completely fixed.

Also, the output of those commands are:

user@localhost:~$ debconf-show resolvconf
debconf: DbDriver "passwords" warning: could not open /var/cache/debconf/passwords.dat: Permission denied
* resolvconf/downup-interfaces:
* resolvconf/linkify-resolvconf: false
* resolvconf/link-tail-to-original: false
  resolvconf/fixing-immutable:
  resolvconf/reboot-recommended-after-removal:
user@localhost:~$ who -b
         system boot 2012-05-31 20:09
user@localhost:~$ ls -l /etc/resolv.conf
lrwxrwxrwx 1 root root 29 May 22 10:33 /etc/resolv.conf -> ../run/resolvconf/resolv.conf
user@localhost:~$ lsattr /etc/resolv.conf
lsattr: Operation not supported While reading flags on /etc/resolv.conf
user@localhost:~$ ls -l /run/resolvconf
total 4
-rw-r--r-- 1 root root 0 May 31 20:09 enable-updates
drwxr-xr-x 2 root root 60 Jun 1 10:01 interface
-rw-r--r-- 1 root root 97 Jun 1 10:01 resolv.conf
user@localhost:~$ ls -l /run/resolvconf/interface
total 4
-rw-r--r-- 1 root root 67 Jun 1 10:01 NetworkManager
user@localhost:~$ for F in /run/resolvconf/interface/* ; do echo "=== $F ===" ; cat "$F" ; done
=== /run/resolvconf/interface/NetworkManager ===
domain mydomain.com
search mydomain.com
nameserver 127.0.0.1
user@localhost:~$ for F in /etc/resolvconf/resolv.conf.d/* ; do echo "=== $F ===" ; cat "$F" ; done
=== /etc/resolvconf/resolv.conf.d/base ===
=== /etc/resolvconf/resolv.conf.d/head ===
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
=== /etc/resolvconf/resolv.conf.d/original ===
# Generated by NetworkManager
domain mydomain.com
search mydomain.com
nameserver 10.157.10.12
nameserver 10.157.10.14
nameserver 192.168.1.1
user@localhost:~$ cat /etc/NetworkManager/NetworkManager.conf
[main]
plugins=ifupdown,keyfile
dns=dnsmasq

[ifupdown]
managed=false
user@localhost:~$ cat /run/nm-dns-dnsmasq.conf
server=10.157.10.12
server=10.157.10.14
server=192.168.1.1
user@localhost:~$ df
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/sda2 152180736 87537376 57024220 61% /
udev 3935756 4 3935752 1% /dev
tmpfs 1579044 928 1578116 1% /run
none 5120 0 5120 0% /run/lock
none 3947600 612 3946988 1% /run/shm
cgroup 3947600 0 3947600 0% /sys/fs/cgroup

Steve Langasek (vorlon) wrote :

Ok. Actually, I realize now that since you ran 'dpkg-reconfigure' to fix your system, the debconf-show output is no longer useful for debugging here.

My best guess is that you had debconf configured in a way that you were asked whether to add the symlink (not shown by default), and you chose "no" (not the default). But there's no way to know for sure.

I don't think there's any actionable bug here. If we get further reports of this issue we can investigate further, but I currently don't see any other way that this could have happened on upgrade except by a user override of the defaults.

Thomas Hood (jdthood) wrote :

It would be helpful if the administrator's own answer to resolvconf/linkify-resolvconf were recorded somewhere before the value of the latter gets reset to false in the postinst.

Better yet, perhaps: Change the postinst so that it doesn't fiddle with the answer to linkify-resolvconf; instead create a new question, resolvconf/linkify-done, which gets sets from false to true on linkification and whose value being true prevents linkification being repeated on subsequent postinst runs.

Even better would be to return to having an idempotent postinst; but then another solution would have to be found for the problem that the debconf-fiddling solved.

Regarding #1000244 itself, we still have the unsolved mystery of how pdf could clean-install 12.04 and end up with no resolv.conf symlink (see comment #10).

Thomas Hood (jdthood) wrote :

@pdf: Have you done any more clean installs resulting in absent /etc/resolv.conf symlinks and if so can you give us any new clues as to where the problem lies?

pdf (pdffs) wrote :

I did a clean install in a VM last night and didn't reproduce. My colleague misinterpreted his symptoms, and I believe his issue is only related to #1003842. I'll have one more run at reproducing it in the next few days, otherwise I'm baffled...

Thomas Hood (jdthood) wrote :

I'll mark this as invalid for now but we can resurrect it if someone is able to reproduce.

Changed in resolvconf (Ubuntu):
status: Incomplete → Invalid
ubck (now) wrote :

I saw this issue on a new 12.04LTS fresh install, not an upgrade.
There was no /etc/resolv.conf symlink.

Followed the steps mentioned above:

sudo dpkg-reconfigure resolvconf and enabled the option to 'Prepare /etc/resolv.conf for dynamic updates'.

resolvconf --enable-updates

sudo reboot

This created the symlink and now I see :

ls -l /etc/resolv.conf
lrwxrwxrwx 1 root root 29 Jul 25 21:17 /etc/resolv.conf -> ../run/resolvconf/resolv.conf

Thomas Hood (jdthood) on 2012-07-26
Changed in resolvconf (Ubuntu):
status: Invalid → Confirmed
Steve Langasek (vorlon) wrote :

ubck, which image did you use to install 12.04?

ubck (now) wrote :

@Steve: 12.04 LTS

Steve Langasek (vorlon) wrote :

> 12.04 LTS

That doesn't answer the question. There are half a dozen different images that could have been used for installing. Was it a desktop image? An alternate image? A server image? A cloud image?

peterlauri (peterlauri) wrote :

I can confirm that on a clean 12.04 install and after all updates this happens for me as well. Do you need some output from me?

Thomas Hood (jdthood) wrote :

@peterlauri: Hi. Which image (give the full name) did you use for the install?

peterlauri (peterlauri) wrote :

@jdthood: I am not sure, as I don't have the image. However, I have this from the USB I installed it from...

#define DISKNAME Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64+mac
#define TYPE binary
#define TYPEbinary 1
#define ARCH amd64
#define ARCHamd64 1
#define DISKNUM 1
#define DISKNUM1 1
#define TOTALNUM 0
#define TOTALNUM0 1

Thomas Hood (jdthood) wrote :

Hmm, both peterlauri and Cerin were installing from the amd64+mac image.

@ubck and @pdf: How about you guys? Which image did you install from?

ubck (now) wrote :
pdf (pdffs) wrote :

I had a feeling it might be related to the particular image used, which is why my testing took a while - I tried a couple. Unfortunately, I used an existing burnt CD from a folder here, so I can't be sure what image it was generated from.

Toby Murray (toby-murray) wrote :

I think I may be seeing this on an attempt to upgrade linux mint from 12 to 13. This may not be a definitive case as I ran into some (I think unrelated) problems before I came to this one but maybe this can help. This is a 5ish month old install. Possible complication: It has the Cisco AnyConnect client installed to access our VPN.

Originally I had a problem during the dist-upgrade because of some mint specific package. I removed this package and tried to run dist-upgrade again and this is when I got the resolvconf error message:

Processing triggers for resolvconf ...
resolvconf: Error: /etc/resolv.conf isn't a symlink, not doing anything.
Errors were encountered while processing:
 linux-image-3.2.0-27-generic
 linux-image-3.2.0-29-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Some output of commands asked for above:

me@hostname:~$ ls -l /etc/resolv.conf
-rw-r--r-- 1 root root 162 Jul 26 15:30 /etc/resolv.conf
me@hostname:~$ ls -l /run/resolvconf
total 0
drwxr-xr-x 2 root root 40 Jul 26 10:20 interface
-rw-r--r-- 1 root root 0 Jul 26 10:20 postponed-update
me@hostname:~$ ls -l /run/resolvconf/interface
total 0
me@hostname:~$ for F in /run/resolvconf/interface/* ; do echo "=== $F ===" ; cat "$F" ; done
=== /run/resolvconf/interface/* ===
cat: /run/resolvconf/interface/*: No such file or directory
me@hostname:~$ for F in /etc/resolvconf/resolv.conf.d/* ; do echo "=== $F ===" ; cat "$F" ; done
=== /etc/resolvconf/resolv.conf.d/base ===
=== /etc/resolvconf/resolv.conf.d/head ===
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
=== /etc/resolvconf/resolv.conf.d/original ===
domain net.k-state.edu
nameserver 129.130.254.2
nameserver 129.130.254.3
nameserver 129.130.254.2
nameserver 129.130.254.3
search net.k-state.edu telecom.ksu.edu
=== /etc/resolvconf/resolv.conf.d/tail ===
domain net.k-state.edu
nameserver 129.130.254.2
nameserver 129.130.254.3
nameserver 129.130.254.2
nameserver 129.130.254.3
search net.k-state.edu telecom.ksu.edu

Thomas Hood (jdthood) on 2012-08-16
summary: - resolv.conf not populated because /etc/resolv.conf symlink was not
- created
+ /etc/resolv.conf symlink does not exist after initial installation of
+ resolvconf package
Thomas Hood (jdthood) on 2012-08-28
tags: added: mysterious
Thomas Hood (jdthood) on 2012-08-31
Changed in resolvconf (Ubuntu):
status: Confirmed → Incomplete
Thomas Hood (jdthood) on 2012-09-03
tags: removed: mysterious
43 comments hidden view all 123 comments

@Bob: Thanks for the information. Interesting case.

* /etc/resolv.conf is not a symbolic link to ../run/resolvconf/resolv.conf
* Updates are not enabled
* A postponed update has been scheduled
* Nothing has been stored in the "interfaces" database

I can only guess how this set of conditions came about. One possibility is that the postinst failed to run or aborted early and then "resolvconf -u" was run by something.

It would be nice if we knew the (original) answer to the "linkify-resolvconf" debconf question; then we could easily rule out the possibility that linkification (that is, creation of the symbolic link /etc/resolv.conf -> ../run/resolvconf/resolv.conf) failed to occur because the answer was negative. But it is impossible to know this after the fact since the Ubuntu version of the postinst overwrites the original answer. This should be fixed. I'll file a separate report about this.

Another source of uncertainty is the "invoke-rc.d resolvconf start" code added to the beginning of the postinst by dh_installinit. In the Debian version of the package, dh_installinit is run with the --no-start option and actions equivalent to "invoke-rc.d resolvconf start" are performed later in the postinst after necessary preparation has been done. That works correctly. While converting from sysvinit to Upstart the Ubuntu developers replaced "--no-start" with the "-r" option but a few things have gone wrong in the process.

First, the "#DEBHELPER#" token is in the wrong place. It should be placed after the postinst code that linkifies and initializes the database. Hmm. This bug was fixed at one point as indicated by the following changelog entry

    - Move the #DEBHELPER# token in debian/postinst to after the resolv.conf
      symlink is set, so the init script can actually start (since it expects
      /etc/resolv.conf to be a symlink).

but the current version has the "#DEBHELPER#" token back up at the top of the file. I will file a separate report about this.

Second, the comment in the postinst still says that "--no-start" is used. I will mention this in the latter report.

Third, dh_installinit inserts code in the postinst that does

        invoke-rc.d resolvconf start || exit $?

This calls invoke-rc.d which calls /etc/init.d/resolvconf which is /lib/init/upstart-job which runs "resolvconf --enable-updates" which runs the resolvconf update scripts. If any of the scripts returns an error then the postinst exits at the line quoted above — before linkification has been done. This is very undesirable. This would also be fixed if the "#DEBCONF#" token were in the right place, at the bottom of the postinst.

So to conclude, I can only guess about what happened in your case but your information has led to the discovery of at least one bug that might well be involved. :)

Bob Tregilus (elaterite) wrote :

@Thomas thanks for the update. FYI: I did a re-install with a new copy of the image freshly downloaded from the Linux Mint repository. Same thing happened to resolvconf--upon running the upgrades. (I think I forget to mention that before.) ;)

Cheers!

Thomas Hood (jdthood) wrote :

> Same thing happened to resolvconf--upon running the upgrades.

What was the resolvconf version before the upgrade? And after? What packages were upgraded? Can you attach the /var/log/apt/history.log, /var/log/apt/term.log and /var/log/dpkg.log files covering the upgrade? These might contain clues.

Bob Tregilus (elaterite) wrote :

Looks like:
resolvconf:amd64 1.63ubuntu14
with
resolvconf:amd64 1.63ubuntu16

Hope that helps!

Thomas Hood (jdthood) wrote :

Thanks for the info — very helpful.

Looking at the apt logs I see an upgrade done at 2012-12-03 18:23:13.

Do I understand correctly that resolvconf worked correctly before this upgrade? Thus /etc/resolv.conf was a symbolic link to "../run/resolvconf/resolv.conf" before the upgrade?

During the upgrade, resolvconf upgrades without error messages, but at the end when resolvconf is triggered to do an update it reports that the symlink /etc/resolv.conf is missing. So probably some program or package maintainer script stomped on /etc/resolv.conf. Most likely the package or program in question is one that is not included in the default install on Ubuntu, otherwise we'd have many more reports of the problem.

Browsing through I see that you upgrade kppp. The source package for this is kdenetwork. Grepping through the source code of that I find zero references to "resolvconf" and one code passage (in kppp) where /etc/resolv.conf is written to. So this appears to be a program that has not yet been made resolvconf-compatible.

kppp/connect.cpp 1419
    // Replace the DNS domain entry in the /etc/resolv.conf file and
    // disable the nameserver entries if option is enabled
    void add_domain(const QString &domain) {

Are you using kppp?

Thomas Hood (jdthood) wrote :

(Just filed bug #1086336 against kppp.)

Bob Tregilus (elaterite) wrote :

Thomas -

Both installs began with fresh ISOs of Linux Mint 13, 64bit KDE.

After the initial install I have no idea if there were any errors as I didn't bother to look at the install logs.

The only time I've noted the resolvconf error was doing the requisite post install package upgrades, which I always do via Apt in a terminal, not with the update manager GUI. So it's there that I see the errors.

I don't use kppp as I don't have a dailup modem, fyi.

I trust that reconfiguring resolvconf, as noted above, was the proper thing to do to correct the error?

Thomas Hood (jdthood) wrote :

I had interpreted your comment #85 as meaning that the problem appeared when you upgraded, but it turns out that we can't be sure that the problem wasn't there from the beginning. I would guess, then, that the problem was there at the beginning, after installation, because we have seen other examples of faulty images; see my comment #82.

dpkg-reconfiguring resolvconf is indeed the right way to fix the problem of /etc/resolv.conf not having been symlinked to ../run/resolvconf/resolv.conf.

Thomas Hood (jdthood) wrote :

If you ever re-install the system please check, right after initial installation, before upgrading, whether or not /etc/resolv.conf is a symlink.

Bob Tregilus (elaterite) wrote :

Sure. It looks like the Mint team has released a version 14 RC in KDE. When the stable comes out I might switch to it. For some reason, I can't seem to resolve an annoying issue with Dolphin that I'm having in Mint 13.

Bob Tregilus (elaterite) wrote :

FYI Thomas: follow this link <https://wiki.ubuntu.com/QuantalQuetzal/ReleaseNotes/Kubuntu> and scroll down to "Networking" it states:

Networking
In order to improve compatibility with other local nameserver packages, NetworkManager now assigns IP address 127.0.1.1 to the local nameserver process that it controls instead of 127.0.0.1. If the system's /etc/resolv.conf is absent or is a static file instead of the symbolic link to ../run/resolvconf/resolv.conf installed by default then this static file will have to be updated by the administrator in order to continue using the NetworkManager-controlled nameserver.

Thomas Hood (jdthood) wrote :

I wrote that. The last sentence is a bit ugly but I was trying to keep it short. More explicit would have been the following.

After a typical installation of Ubuntu 12.04, /etc/resolv.conf is a symbolic link to ../run/resolvconf/resolv.conf. If, at the time the machine is upgraded to Ubuntu 12.10, /etc/resolv.conf is absent or is a static file instead of the aforementioned symbolic link then, if the administrator wants software running on the machine to continue to make use of the NetworkManager-controlled nameserver then he or she will have to restore the symbolic link at /etc/resolv.conf such that it once again points to ../run/resolvconf/resolv.conf. An easy way to do this is to run "sudo dpkg-reconfigure resolvconf" and to agree when asked if the symbolic link should be created.

Bob Tregilus (elaterite) wrote :

Hey Thomas -

Okay, I just installed Linux Mint 14 64-bit KDE. (I was running Mint 13 KDE LTS.)

Immediately after the install the first thing I did was run the following:

bob@elaterite ~ $ ls -l /etc/resolv.conf
lrwxrwxrwx 1 root root 33 Dec 23 14:58 /etc/resolv.conf -> ../var/run/resolvconf/resolv.conf

bob@elaterite ~ $ ls -l /run/resolvconf
total 4
-rw-r--r-- 1 root root 0 Dec 23 15:09 enable-updates
drwxr-xr-x 2 root root 60 Dec 23 15:09 interface
-rw-r--r-- 1 root root 310 Dec 23 15:09 resolv.conf

bob@elaterite ~ $ ls -l /run/resolvconf/interface
total 4
-rw-r--r-- 1 root root 21 Dec 23 15:09 NetworkManager
bob@elaterite ~ $

Then I did a full upgrade with apt-get and it reported no resolv error.

Then I did a dist-upgrade to that latest kernel (no errors) and rebooted and then ran the following again:

bob@elaterite ~ $ ls -l /etc/resolv.conf
lrwxrwxrwx 1 root root 33 Dec 23 14:58 /etc/resolv.conf -> ../var/run/resolvconf/resolv.conf

bob@elaterite ~ $ ls -l /run/resolvconf
total 4
-rw-r--r-- 1 root root 0 Dec 23 16:46 enable-updates
drwxr-xr-x 2 root root 60 Dec 23 16:46 interface
-rw-r--r-- 1 root root 310 Dec 23 16:46 resolv.conf

bob@elaterite ~ $ ls -l /run/resolvconf/interface
total 4
-rw-r--r-- 1 root root 21 Dec 23 16:46 NetworkManager
bob@elaterite ~ $

So it looks like the symbolic link got created at install and didn't break during upgrade, eh?

Thanks!

Bob

Thomas Hood (jdthood) wrote :

Thanks for checking, Bob.

I am only surprised that /etc/resolv.conf points to ../var/run/resolvconf/resolv.conf instead of ../run/resolvconf/resolv.conf (as is normal in Ubuntu). Did Linux Mint make this change, and if so, why?

Bob Tregilus (elaterite) wrote :

Guess you'd have to ask Clem and team about that one. I realize that Linux Mint is based on Ubuntu as is Kubuntu. Recall, I run the KDE version of Mint. So perhaps the Kubuntu folks made the change?

Thomas Hood (jdthood) on 2012-12-30
summary: - /etc/resolv.conf symlink does not exist after initial installation of
- resolvconf package
+ Symlink /etc/resolv.conf does not exist after installation or upgrade of
+ resolvconf -- various causes
Anders Hall (a.hall) wrote :

Could you please add some quick clarifications for this Thomas? Might be good for all users.

1) The message (as of today’s dist-upgrade) still shows critical error - while I understand it is an warning. Many threads discuss this problem. Is this correct, is dist-upgrade related problems in this case a Critical Error or is it a Warning?

2) On ubuntu cloud clones (e.g., amazon elastic builds) will this break any resolvconf functionality not intended by the clone administrator/creator. I.e., the person(s) hard-coding the /etc/resolv.conf file (not symlink) with information, or will it continue to work without properly (defaulting to prior 12.04 config files etc).

3) The resolveconf system is often bundled with kernel updates. If I accept this Error as a Warning and see broken updates in apt, will I then be able to update to later kernels?

4) added as "fix released" in some related bugs (incomplete here) while upgrade process from version x to y (distributions) are likely to produce these errors - this is incorrect.

Note: I specifically need kernel updates to nfs servers and it has dependencies on resolvconf in the update packages (from what I can understand from apt-get -s).

INFO:

1) uname -a
Linux ip-10-39-8-203 3.2.0-35-virtual #55-Ubuntu SMP Wed Dec 5 18:02:05 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

2) sudo dpkg-reconfigure DOES NOT WORK or chattr (all with many reboots)

3) cannot set immutable bit easily (standard amazon elastic clone). However, with hacks from https://bugs.launchpad.net/ubuntu/+bug/1003595 I can make it use a symlink. Still dist-upgrade and dpkg reconf. process fails with error.

4) nr 3 hacks works despite output (symlink present after reboot with same info as before adding symling):

# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
nameserver 172.16.0.23
search eu-west-1.compute.internal

5) ls -l /etc/resolv.conf
lrwxrwxrwx 1 root root 29 Jun 16 2012 /etc/resolv.conf -> ../run/resolvconf/resolv.conf

related:

https://bugs.launchpad.net/ubuntu/+source/resolvconf/+bug/1000244
https://bugs.launchpad.net/ubuntu/+bug/1003595

Steve Langasek (vorlon) wrote :

Anders, your follow-up message doesn't state what error message you're seeing on upgrade. There's nothing I see linking your problem to this bug report. There is certainly no generic "critical error" on upgrade for users who are not manually modifying the state of /etc/resolv.conf on their systems.

In response to your point 2) in particular, manually configuring nameserver settings in /etc/resolv.conf, rather than using either dhcp-provided settings or configuring in /etc/network/interfaces, is strongly discouraged.

Thomas Hood (jdthood) wrote :

Hi Anders. Please read Stéphane Graber's blog post about the introduction of resolvconf and other changes to DNS in Ubuntu 12.04.

    http://www.stgraber.org/2012/02/24/dns-in-ubuntu-12-04/

Anders Hall (a.hall) wrote :

I agree that we should not mess with default settings. However, many cloud images have changes reg. resolv.conf and backwards compatibility is a good thing when doing upgrades.

Error message.

Unpacking replacement unattended-upgrades ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Setting up resolvconf (1.63ubuntu16) ...
start: Job is already running: resolvconf
invoke-rc.d: initscript resolvconf, action "start" failed.
dpkg: error processing resolvconf (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up unattended-upgrades (0.76ubuntu1) ...
Errors were encountered while processing:
 resolvconf
E: Sub-process /usr/bin/dpkg returned an error code (1)

Will read the related blog asp.

Thomas Hood (jdthood) wrote :

Hi Anders,

First, stock Ubuntu 12.04 and 12.10 don't malfunction like this. What image are you using? Please give the exact version number. Where did you get this image? Who built it?

Second, this isn't the same error as others have reported here (bug #1000244) so we should move discussion of your problem somewhere more appropriate ASAP.

Anders Hall (a.hall) wrote :

Thanks for the support Thomas and Steve. The blog answered most questions, the option to keep resolv.conf as a regular file is what I probably need. The upgrade process seemed to use this option automatically (no symlink was present after upgrade). Still, when upgrading it fails as noted in post 102 and reconfigure is impossible (with or without symlink hacks). I have tested on two staging machines now (can reproduce this on more machines).

I will get back with the image id and some additional information when I find it. Let me know were to move the discussion. If the problem is too severe for recovery I can always build new machines (preferably not).

Thomas Hood (jdthood) wrote :

Having a static file instead of a symlink at /etc/resolv.conf is supported. It's recommended in that case to keep the resolvconf package installed, since the presence of resolvconf prevents some other packages from overwriting /etc/resolv.conf.

The bug is in the image. When we know what image you are using we'll know where to look for reports of this bug or where a new report should be filed.

Anders Hall (a.hall) wrote :

Sorry for the late reply.

I tested upgrading some other servers we use and the process went well. The servers failing are our oldest in production. Meaning we have updated them since version 9 (or perhaps even 8) to long term releases of Ubuntu. I.e., gradually with apt-get (without problems to speak of). I will probably not be able to retrieve the exact image we used.

I will see if others types of servers upgrades fail in the coming days.

On the failing machines I would like to keep the resolvconf package as you suggest Thomas. Is there any way I can force apt or dpkg to install it, or get more verbose outpout reg. why it fails to install? As long as the install goes through and I keep a static /etc/resolv.conf file everything works fine. I've tested the build and nothing has broken for us besides that apt-get dist-upgrade fails on resolvconf (and perhaps future dist-upgrades are blocked).

Thanks

Thomas Hood (jdthood) wrote :

That it is not new installs but old ones that fail to upgrade properly is intriguing. Let's get to the bottom of this!

> Is there any way I can force apt or dpkg to install it

If you mean "... to install it (resolvconf) properly" then the answer is that you do "dpkg-reconfigure resolvconf" after upgrade.

> nothing has broken for us besides that apt-get dist-upgrade fails on resolvconf

Can you please post the error message and an exact description of the symptoms of the failure?

Also, on some machine where you have reproduced the problem, run "apport-collect 1000244"; and make sure you include (the relevant part of) /var/log/apt/term.log.

Thomas Hood (jdthood) wrote :

One of the possible causes of this (bug #1000244) may have been eliminated in the latest release -- resolvconf 1.69ubuntu1 -- which fixes bug #1085862.

Anders Hall (a.hall) wrote :

Hi Thomas, will test all solutions you mentioned and report (have tried dpkg-reconfigure, will try again). Positive feedback, our complete server park upgraded to 12.04 without problems (one server crashed during upgrade and ubuntu still recovered nicely).

Thomas Hood (jdthood) wrote :

I wrote in comment #107:
> Can you please post the error message and
> an exact description of the symptoms of the failure?

I now remember that you (Anders) already posted the error message in comment #102.

    Setting up resolvconf (1.63ubuntu16) ...
    start: Job is already running: resolvconf
    invoke-rc.d: initscript resolvconf, action "start" failed.
    dpkg: error processing resolvconf (--configure):
     subprocess installed post-installation script returned error exit status 1

When I first read this I thought, "Probably his image contains an older version of invoke-rc.d, or something like that, such that an already running resolvconf job is incorrectly handled as an error condition." Then I asked you what image you installed from.

I just doublechecked on an up-to-date Precise (12.04.1) and on an up-to-date Quantal (12.10) system. On each of these, if resolvconf is running then "start resolvconf" returns 1 but "invoke-rc.d resolvconf start" returns 0. On your machine "invoke-rc.d resolvconf start" seems to return nonzero.

What version of sysv-rc did the affected system have at the time of the error?

Thomas Hood (jdthood) wrote :

Anders, please do the following on the affected system when it is in the state such that an attempt to configure resolvconf fails with the error message quoted in comment #102.

Open a terminal and enter

    sudo su

and your password. This gives you a shell with root privileges. Run the following commands.

    status resolvconf
    start resolvconf ; echo $?
    /etc/init.d/resolvconf start ; echo $?
    invoke-rc.d resolvconf start ; echo $?

Then exit the shell. Post the output here.

I can confirm that FortiClient is a cause of this issue.

Thomas Hood (jdthood) wrote :

@a_paddy: Thanks. See comment #82 for the most recent summary of causes.

Thomas Hood (jdthood) on 2013-02-06
Changed in resolvconf (Ubuntu):
status: Incomplete → Confirmed
Thomas Hood (jdthood) wrote :

Another occurrence of this phenomenon: http://ubuntuforums.org/showthread.php?t=2114266

Vince (vincent-vanackere) wrote :

I also have this problem on my computer after a 11.10 -> 12.04 upgrade
debconf-show resolvconf returns :

 resolvconf/downup-interfaces:
  resolvconf/linkify-resolvconf: false
  resolvconf/link-tail-to-original: false
  resolvconf/fixing-immutable:
  resolvconf/reboot-recommended-after-removal:

Thomas Hood (jdthood) wrote :

> resolvconf/linkify-resolvconf: false

This is always the case after installation because the Ubuntu resolvconf postinst does the following.

    db_set resolvconf/linkify-resolvconf false

This is done for a good reason: it is done in order to prevent the postinst from attempting to linkify again on upgrade. Thus the admin can remove the symlink /etc/resolv.conf if she wants to and even though she doesn't bother to change the answer to resolvconf/linkify-resolvconf, the symlink won't be recreated on package upgrade.

As I wrote in #1085849, however, I'd like to see another mechanism used to achieve the same end, so that we can tell what the original answer to resolvconf/linkify-resolvconf was in cases like this where the symlink is mysteriously missing after installation. In Debian I have just implemented this feature another way. The Debian postinst doesn't change resolvconf/linkify-resolvconf; instead it creates a flag file and refrains from linkifying again if the flag file is present. I hope that Ubuntu adopts this mechanism too when 1.71 is merged.

Anyway, Vince, despite the foregoing, can you shed any light on why the symlink /etc/resolv.conf might have been missing from your system after upgrade? Which distro and flavor did you install originally? Is it virtual hardware? Any unusual images used? Any unusual preseeding done? Any unusual VPN client or similar installed?

(You probably already know that you can recreate the symlink by running "sudo dpkg-reconfigure resolvconf".)

Cerin (chrisspen) wrote :

Is there any temporary solution for this? In order to switch between wifi networks, or switch to/from a wired/wireless connection, I have to disable wifi with Network Manager and then unplug any wired connection, and then re-enable the connection I want to use.

As you can imagine, this is insanely frustrating.

Thomas Hood (jdthood) wrote :

@Cerin: Was your comment (#117) intended for this bug report?

(This report is about the /etc/resolv.conf symlink sometimes being missing after installation of the resolvconf package, but your comment was about a difficulty switching between Wi-Fi networks.)

Dear Sir,

I have statically configured the IP Address in /etc/network/interfaces… of ubuntu 12.04

auto eth0
iface eth0 inet static
address 10.10.80.180
netmask 255.255.0.0
network 10.10.80.0
broadcast 10.10.80.255
gateway 10.10.1.2

after that, I have configured /etc/resolv.conf file as well…

nameserver 10.10.1.2
nameserver 208.67.222.222
nameserver 208.67.220.220

lastly, I restarted service by this following command…..

sudo /etc/init.d/networking restart….. ENTER

then I got successfully..

The Problem is when I restart the computer, then there /etc/resolv.conf file does not show the mentioned nameservers.

but /etc/network/interfaces does not get changed. it remains same.

Please help me in this regard…. how to fix it nameservers permanently In /etc/resolv.conf file.

Heartily Thank you one and all.

Thomas Hood (jdthood) wrote :

Basavaraj Chougala: The file /etc/network/interfaces is not dynamically generated. The content of the file /etc/resolv.conf is dynamically generated. To cause nameserver addresses accessible over eth0 to be included in resolv.conf, add a "dns-nameservers" option line to /etc/network/interfaces, as follows.

auto eth0
iface eth0 inet static
    address 10.10.80.180
    netmask 255.255.0.0
    broadcast 10.10.80.255
    gateway 10.10.1.2
    dns-nameservers 10.10.1.2 208.67.222.222 208.67.220.220

After editing /etc/network/interfaces, do the following to cause the nameserver addresses to be included in resolv.conf.

    sudo ifdown eth0
    sudo ifup eth0

Also make sure that /etc/resolv.conf is a symbolic link to "../run/resolvconf/resolv.conf".

Thomas Hood (jdthood) wrote :

Mullvad is another VPN client guilty of trashing /etc/resolv.conf.

    http://askubuntu.com/questions/265376/major-problem-with-dns-in-ubuntu-12-04-and-vpn/268077

Here's a new summary of the possible causes of the missing symlink and the contributors possibly affected.

Images
    Bad Linux Mint image (bug #1004421): toby-murray, albert-bendicho
    Bad Ubuntu EC2 cloud image (bug #1003595): louisli
    Bad Ubuntu Secure Remix image (bug #1051348): jrog
    Using Linode image (which lacks resolvconf): Solomon

Third-party image-building tools
   Buggy debian-live and/or remastersys used: bluelight-auroville

Third-party network configurers
    Using Juniper AnyConnect: trulyliu
    Using FortiClient SSL VPN client: Etienne V.
    Using Mullvad VPN client: Anonymous

Ubuntu tools
    Buggy uck used (bug #946480)
    Buggy Casper used (bug #946215)
    Buggy NetworkManager used (bug #1072341): cerin
    Buggy kppp used (bug #1086336)

Other
    Possibly some issue with ubuntu 12.04 amd64+mac image: peterlauri
    Possibly some bug in a package in the Precise beta phase: ripps818
    Possibly due to "issues while updating": davidpeter
    Declined debconf invitation to linkify /etc/resolv.conf
    Couldn't reproduce: pdf
    Didn't reply: ubck

Dear Sir,(Thomas Hood),

I am very heartily thankful to you for giving me good reply. Sir, As per your given reply, I did on my Ubuntu Computer and got success. These following things have been done on my computer ......

Fristly, Edited Network Interfaces using the following command.. on terminal

sudo gedit /etc/network/interfaces ENTER

auto eth0
iface eth0 inet static
    address 10.10.80.180
    netmask 255.255.0.0
    broadcast 10.10.80.255
    gateway 10.10.1.2
    dns-nameservers 10.10.1.2 208.67.222.222 208.67.220.220

saved the changes and restarted the service using following command.. on terminal

sudo /etc/init.d/networking restart ENTER

NOW I can access the INTERNET without any problem. and Restarted the computer 2 0r 3 times. nothing has been changed

Whatever IP addressess I have given are remained same.

i would like to say Thank you one and all. kindly Help me always in future.

BASAVARAJ FROM INDIA.

Thomas Hood (jdthood) wrote :

On Thu, Apr 24, 2014 at 07:49:17AM -0000, Timo Jyrinki wrote in bug #1308378:
> I think I know the actual reason (or one of those) it may be missing for
> many people including me in 12.04 LTS:
> https://help.ubuntu.com/community/LiveCDCustomization <- as an example,
> this in a modified form (just installing additional packages and
> resolv.conf as the only modified/removed file) was started to be used
> for Finnish Remix CD:s around 2007 and probably many other remixes have
> used the same wiki page as guidance. I'm not sure about the various more
> automated remix tools around. The instructions use copying host's
> resolv.conf to etc so that network works inside chroot, and then it
> "cleans up" by removing the copied /etc/resolv.conf. This was maybe ok
> when /etc/resolv.conf was not a symlink and Network Manager modified it
> directly, like in 10.04 LTS.

Displaying first 40 and last 40 comments. View all 123 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers